Download it now!
Bug 115187 - when importing a collada model, no errors occur but also nothing appears in the presentation
Summary: when importing a collada model, no errors occur but also nothing appears in t...
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.4.4.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 3D-Model
  Show dependency treegraph
 
Reported: 2018-01-24 05:09 UTC by thomas.a.kaeding
Modified: 2018-01-26 11:56 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description thomas.a.kaeding 2018-01-24 05:09:31 UTC
When importing a collada model, no errors occur but also nothing appears in the presentation. Also, cannot import gltf models.

LO built from 5.4.4.2 source with gcc 7.1.0
system libopencollada and libcollada2gltf

some sample output:
# loimpress
GLib-GIO-Message: Using the 'memory' GSettings backend.  Your settings will not be saved or shared with other applications.

(soffice:9005): Gtk-CRITICAL **: gtk_container_foreach: assertion 'GTK_IS_CONTAINER (container)' failed
[geometry] 524220 bytes
[animations] 0 bytes
[scene] total bytes:524220

(soffice:9005): Gtk-CRITICAL **: gtk_container_foreach: assertion 'GTK_IS_CONTAINER (container)' failed
[geometry] 102040 bytes
[animations] 0 bytes
[scene] total bytes:102040

(soffice:9005): Gtk-CRITICAL **: gtk_container_foreach: assertion 'GTK_IS_CONTAINER (container)' failed

(the gtk error occurs when opening the file-choosing dialog, not when choosing the .dae file)
Comment 1 Xisco Faulí 2018-01-24 08:43:50 UTC Comment hidden (obsolete)
Comment 2 thomas.a.kaeding 2018-01-24 19:35:23 UTC
The .dae files I tried were COLLADA.dae and duck.dae, both of which can be found here:

https://github.com/assimp/assimp/tree/master/test/models/Collada
Comment 3 Xisco Faulí 2018-01-25 09:55:39 UTC
(In reply to thomas.a.kaeding from comment #2)
> The .dae files I tried were COLLADA.dae and duck.dae, both of which can be
> found here:
> 
> https://github.com/assimp/assimp/tree/master/test/models/Collada

Did you try with LibreOffice 6.0 RC 2?
Comment 4 thomas.a.kaeding 2018-01-25 10:05:22 UTC
no.... I read that version 6 drops support for 3d models completely.
Comment 5 Xisco Faulí 2018-01-26 11:52:18 UTC
I guess we can close this as RESOLVED WONTFIX